<?php 
/****************************************************************/
/*          e-mo.pl © 2017                                      */
/*          http://www.e-mo.com.pl                              */
/*          e-mail: info@e-mo.pl                                */
/*          produkt: Action2osCommerce                          */
/*          wersja: 1.9.7                                       */
/*          webserwis: oscGold                                  */
/*          sciezka: https://www.e-mo.com.pl/plikit,1918,533545b244d7d.php*/
/*          data: 2017-09-25                                    */
/*          godz: 10:45:16                                      */
/****************************************************************/



@require_once('source/categories.php');
@require_once('source/categories_description.php');
@require_once('source/languages.php');

$jezyk = languages::Szukaj($db->Conn);

$kat = new categories();
$kat->Conn = $db->Conn;

if(isset($_POST['action']) && $_POST['action']=='mapuj')
{
	
	$db->Begin();
	$kat->action=$_POST['kluczObcy'];
	$kat->categories_id= $_POST['id'];
	$kat->Conn = $db->Conn;

	echo '<kategoria kategoria="'.$_POST['kategoria'].'"';

	if($kat->SetMapa())
	{
		$katWer = new categories_description();
		$katWer->Conn =  $kat->Conn;
		$katWer->categories_id= $kat->categories_id;
		$katWer->language_id=$jezyk;
		$katWer->categories_name=$_POST['kategoria'];
		
		if($katWer->Zmien())
		{
			echo ' action="Zmien" error="0" komunikat="OK" ';			
		}
		else
		{
			echo ' action="Zmien" error="1" komunikat="'.$katWer->errMsg[2].'"';
		}	
	}
	else
	{
		echo ' error="1" komunikat="'.$kat->errMsg[2].'"';
	}

	echo ' />';
}
elseif(isset($_POST['action']) && $_POST['action']=='dodaj')
{
	$kat->action=$_POST['kluczObcy'];
	$kat->categories_id=$kat->GetAction();
	$kat->categories_image=0;
	$kat->parent_id=0;
	$kat->sort_order=0;
	$kat->date_added=date("Y-m-d H:i:s");
	$kat->last_modified=date("Y-m-d H:i:s");
	
	echo '<kategoria nazwa="'.$_POST['kategoria'].'"';
	
	$katOpis= categories_description::Sprawdz($_POST['kategoria'], $kat->Conn);

	if($kat->categories_id>0)
	{
			$katWer = new categories_description();
			$katWer->Conn =  $kat->Conn;
			$katWer->categories_id= $kat->categories_id;
			$katWer->language_id=$jezyk;
			$katWer->categories_name=$_POST['kategoria'];
			
			if($katWer->Zmien())
			{
				echo ' action="Zmien" error="0" komunikat="OK" ';			
			}
			else
			{
				echo ' action="Zmien" error="1" komunikat="'.$katWer->errMsg[2].'"';
			}

	}
	else if($katOpis==0)
	{
		if($kat->Dodaj())
		{
			$katWer = new categories_description();
			$katWer->Conn =  $kat->Conn;
			$katWer->categories_id= $kat->categories_id;
			$katWer->language_id=$jezyk;
			$katWer->categories_name=$_POST['kategoria'];
			
			if($katWer->Dodaj())
			{
				echo ' error="0" komunikat="OK" ';			
			}
			else
			{
				echo ' error="1" komunikat="'.$katWer->errMsg[2].'"';
			}
		}
		else
		{
			echo ' error="1" komunikat="'.$kat->errMsg[2].'"';
				
		}
		
	}
	else if ($katOpis>0)
	{
			$katWer = new categories_description();
			$katWer->Conn =  $kat->Conn;
			$katWer->categories_id= $katOpis;
			$katWer->language_id=$jezyk;
			$katWer->categories_name=$_POST['kategoria'];
			
			if($katWer->Zmien())
			{
				echo ' action="Zmien" error="0" komunikat="OK" ';			
			}
			else
			{
				echo ' action="Zmien" error="1" komunikat="'.$katWer->errMsg[2].'"';
			}
	}

	echo ' />';
}
else
{
	$katTab = $kat->Lista($jezyk);

	echo '<kategorie>';


	for($i=0;$i<count($katTab);$i++)
	{

		echo '<kategoria id="'.$katTab[$i]['categories_id'].'" nazwa="'.$katTab[$i]['categories_name'].'" rodzic="'.$katTab[$i]['parent_id'].'" kolejnosc="'.$katTab [$i]['sort_order'].'" ';

		echo 'poziom="'.$kat->Rekurencja($katTab[$i]['parent_id'], 1).'"/>';


	}

	echo '</kategorie>';

}

$kat = null;





?>


